- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaePassStateFunction Namespace Reference

The function types for the effect pass render states. More...

## Enumerations
enum | Function { NEVER = 0x0200, LESS = 0x0201, EQUAL = 0x0202, LESS_EQUAL = 0x0203, GREATER = 0x0204, NOT_EQUAL = 0x0205, GREATER_EQUAL = 0x0206, ALWAYS = 0x0207, INVALID }
| Enumerates the COLLADA render state function types. More...
## Functions
FCOLLADA_EXPORT Function | FromString (const char *value)
| Converts the COLLADA render state function string to the render state function type.
Function | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.
FCOLLADA_EXPORT const char * | ToString (Function fn)
| Converts the render state function type to its COLLADA render state function string.

## Detailed Description

The function types for the effect pass render states.

## Enumeration Type Documentation

enum FUDaePassStateFunction::Function

  | Enumerates the COLLADA render state function types. The usage of this enumeration type depends on the render state. For the alpha-test and the depth-test, this function determines when a given pixel will be kept when compared against the color/depth buffer's current alpha/depth value. Enumerator:
  NEVER | Never kept.
  LESS | The pixel is kept when its value is lesser to the current value.
  EQUAL | The pixel is kept when its value is equal to the current value.
  LESS_EQUAL | The pixel is kept when its value is lesser or equal to the current value.
  GREATER | The pixel is kept when its value is greater to the current value.
  NOT_EQUAL | The pixel is kept when its value is not equal to the current value.
  GREATER_EQUAL | The pixel is kept when its value is greater or equal to the current value.
  INVALID | Always kept. An invalid function.

## Function Documentation

Function FUDaePassStateFunction::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Function FUDaePassStateFunction::FromString | ( | const char * | value | ) |

  | Converts the COLLADA render state function string to the render state function type. Parameters:
  | value | The render state function string.
Returns: The render state function type.

FCOLLADA_EXPORT const char* FUDaePassStateFunction::ToString | ( | Function | fn | ) |

  | Converts the render state function type to its COLLADA render state function string. Parameters:
  | fn | The render state function type.
Returns: The render state function string.